/**************************************************************************
 *  Copyright 2007 Tristan Losier                                         *
 *  HungryMyst15@gmail.com                                                *
 *                                                                        *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 3 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *  This program is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU General Public License     *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 **************************************************************************/

const char* COMMANDS[] = {"Up", "Down", "Left", "Right", "CClock", "Clock", "Stop", "Pause"};

const char* PROGRAM[] = {"Cover", "Cover and Dock", "Spot Cover", "Mouse", "Figure Eight", "Wimp", "Home", "Tag", "Pachelbel"};

const char* DISCRIPIONS[] = {
"Create attempts to cover an entire room using a combination of behaviors, such as random bounce, wall following, and spiraling.",
"Identical to the Cover demo. But if the Create sees an infrared signal from an iRobot Home Base, it uses that signal to dock with the Home Base and recharge itself.",
"Create covers an area around its starting position by spiraling outward, then inward.",
"Create drives in search of a wall. Once a wall is found, Create drives along the wall, traveling around circumference of the room.",
"Create continuously drives in a figure 8 pattern.",
"Create drives forward when pushed from behind. If Create hits an obstacle while driving, it drives away from the obstacle.",
"Create drives toward an iRobot Virtual Wall as long as the back and sides of the virtual wall receiver are blinded by black electrical tape.",
"Identical to the Home demo, except Create drives into multiple virtual walls by bumping into one, turning around, driving to the next virtual wall, etc.",
"Create plays the notes of Pachelbel's Canon in sequence when cliff sensors are activated.",
"Create plays a note of a chord for each of its four cliff sensors." };