/**************************************************************************
 *  Copyright 2007 Tristan Losier                                         *
 *  HungryMyst15@gmail.com                                                *
 *                                                                        *
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation; either version 3 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *  This program is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU General Public License     *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 **************************************************************************/

//--------------------- Fourms -----------------------
#define FormMain	9000
#define FormSelect	9001
#define FormMacro	9002

#define MainMenu	9100
#define AboutAlert	9101

//--------------------- Form Main --------------------
#define PicRobot	1000
#define PicWall_	1001
#define PicCliff	1010
#define PicWhealR	1011
#define PicWhealL	1012
#define PicBumpR	1013
#define PicBumpL	1014
#define PicWall		1015

#define FldVoltage	1100
#define FldProg		1101

#define BtnDisconnect	1200

//--------------------- Form Select ------------------
#define SelScript	2000
#define FldDescription	2001

//--------------------- Form Macro -------------------
#define BtnSend		3000
#define BtnClear	3001
#define BtnDel		3002

#define BtnUp		3100
#define BtnDown		3101
#define BtnLeft		3102
#define BtnRight	3103
#define BtnCClock	3104
#define BtnClock	3105
#define BtnPause	3106

#define BtnP1		3201
#define BtnP2		3202
#define BtnP4		3204
#define BtnP8		3208
#define BtnP16		3216

#define PicBar		3300

#define PicUp		3400
#define PicDown		3401
#define PicLeft		3402
#define PicRight	3403
#define PicClock	3404
#define PicCClock	3405
#define PicPause	3406

#define FldScript	3500
#define SclScript	3501

//--------------------- Main Menu --------------------
#define MnuStatus	8000
#define MnuScript	8001
#define MnuMacro	8002

#define MnuConnect	8100
#define MnuDisconnect	8101
#define MnuRun		8102
#define MnuStop		8103

#define MnuAbout	8200